body {
    font-family: 'Inter', system-ui,-apple-system, Segoe UI, sans-serif;
    color: #1f2937;
    line-height: 1.5,
}
.app-container {
  display: grid;
  grid-template-columns: 240px 1fr;
  height: 100vh;
}
.sidebar {
  padding: 20px;
  border-right: 1px solid rgba(255,255,255,0.05);
}
#device-list {
  display: flex;
  flex-direction: column;
  gap: 8px; 
  margin-top: 15px;
}
.device-link {
    display: block;
    width:100%;
    background: #f3f3f5;
    border: none;
    border-radius:8px;
    padding: 4px 6px;
    margin-bottom: 5px;
    cursor: pointer;
    font-size: 14px;
    color: #111;
    transition: all 0.2s ease;
    box-shadow: 0 2px 5px rgba(0,0,0,0.05);
}
.device-link:hover {
    background:#e0e7ff;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}
.device-link.active {
    background: #adceff;
    color: #fff; 
    font-weight: 600;
    border-left: 4px solid #829fff;
}
.device-info .device-name {
    font-weight: 600;
    margin-bottom: 3px;
}

.device-info .device-id,
.device-info .device-location {
    font-size: 12px;
    color: #555;
}

.graph-btn {
    display: block;
    width:30%;
    background: #f3f3f5;
    border: none;
    border-radius:4px;
    padding: 4px 6px;
    margin-bottom: 5px;
    cursor: pointer;
    font-size: 14px;
    color: #111;
    transition: all 0.2s ease;
}
.graph-btn:hover {
    background:#e0e7ff;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}
.graph-btn.active {
    background: #adceff;
    color: #fff; 
    font-weight: 600;
    border-left: 4px solid #829fff;
}

graph-btn
.sensor-card {
    margin-bottom:20px;
}
.sensor-card .card-header h3{
    margin-bottom:0px;
}
.card-footer {
    margin:0px;
    margin-bottom: 10px;
    font-size: 14px;
    color: #555;
}
.main-content {
  margin-top: 40px;
  padding: 20px;
  display: flex;
  flex-direction: column;
}
.main-value{
    font-size: 24px;
    font-weight: 600;
    margin-top: 0px;
    margin-bottom: 10px;
}
header {
  margin-bottom: 20px;
}

@media (max-width: 700px) {
  .app-container {
    grid-template-columns: 1fr;
  }

  .sidebar {
    border-right: none;
    border-bottom: 1px solid rgba(255,255,255,0.05);
  }
}

.device-metadata-bar {
    display: flex;
    flex-direction: column;
}
.data-grid {
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap: 20px;
  margin-left: 20px;
}

.placeholder-text {
  color: var(--text-dim);
  text-align: center;
  margin-top: 40px;
}


.graph-box {
  padding: 16px;
  margin-bottom: 20px;
}

.graph-box canvas {
  max-width: 100%;
  height: 300px;
}

.table-box {
    padding: 16px;
    overflow-x:auto;
}
.table-box table{
    width: 100%;
    border-collapse: collapse;
    font-size: 14px;

}

.table-box th,
.table-box td {
  padding: 8px 12px;
  text-align: left;
}

.table-box tr:nth-child(even) {
  background: #f9fafb;
}
